| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Public Attributes
AAX_SInstrumentSetupInfo Struct Reference

`#include <AAX_CMonolithicParameters.h>`

## Description

Information used to describe the instrument.

See also
  AAX_CMonolithicParameters::StaticDescribe()

## Public Member Functions
| AAX_SInstrumentSetupInfo ()
| Default constructor.

## Public Attributes
bool | mNeedsGlobalMIDI
| Does the instrument use a global MIDI input node?
const char * | mGlobalMIDINodeName
| Name of the global MIDI node, if used.
uint32_t | mGlobalMIDIEventMask
| Global MIDI node event mask of AAX_EMidiGlobalNodeSelectors, if used.
bool | mNeedsInputMIDI
| Does the instrument use a local MIDI input node?
const char * | mInputMIDINodeName
| Name of the MIDI input node, if used.
uint32_t | mInputMIDIChannelMask
| MIDI input node channel mask, if used.
int32_t | mNumAdditionalInputMIDINodes
| Number of additional input MIDI Nodes. These will all share the same channelMask and base MIDINodeName, but the names will be appended with numbers 2,3,4,...
bool | mNeedsTransport
| Does the instrument use the transport interface?
const char * | mTransportMIDINodeName
| Name of the MIDI transport node, if used.
int32_t | mNumMeters
| Number of meter taps used by the instrument. Must match the size of mMeterIDs.
const AAX_CTypeID * | mMeterIDs
| Array of meter IDs.
int32_t | mNumAuxOutputStems
| Number of aux output stems for the plug-in.
const char * | mAuxOutputStemNames [kMaxAuxOutputStems]
| Names of the aux output stems.
AAX_EStemFormat | mAuxOutputStemFormats [kMaxAuxOutputStems]
| Stem formats for the output stems.
AAX_EStemFormat | mHybridInputStemFormat
| Hybrid input stem format
AAX_EStemFormat | mHybridOutputStemFormat
| Hybrid output stem format
AAX_EStemFormat | mInputStemFormat
| Input stem format
AAX_EStemFormat | mOutputStemFormat
| Output stem format
bool | mUseHostGeneratedGUI
| Allow Pro Tools or other host to generate a generic GUI. This can be useful for early development.
bool | mCanBypass
| Can this instrument be bypassed?
AAX_CTypeID | mManufacturerID
| Manufacturer ID
AAX_CTypeID | mProductID
| Product ID
AAX_CTypeID | mPluginID
| Plug-In (Type) ID
AAX_CTypeID | mAudiosuiteID
| AudioSuite ID
AAX_CBoolean | mMultiMonoSupport

## Constructor & Destructor Documentation

## ◆ AAX_SInstrumentSetupInfo()

AAX_SInstrumentSetupInfo::AAX_SInstrumentSetupInfo | ( |  | ) |
| inline

Default constructor.

Use this constructor if you want to enable a sub-set of features and don't need to fill out the whole struct.

References AAX_eStemFormat_Mono, AAX_eStemFormat_None, kMaxAuxOutputStems, mAudiosuiteID, mAuxOutputStemFormats, mAuxOutputStemNames, mCanBypass, mGlobalMIDIEventMask, mGlobalMIDINodeName, mHybridInputStemFormat, mHybridOutputStemFormat, mInputMIDIChannelMask, mInputMIDINodeName, mInputStemFormat, mManufacturerID, mMeterIDs, mMultiMonoSupport, mNeedsGlobalMIDI, mNeedsInputMIDI, mNeedsTransport, mNumAdditionalInputMIDINodes, mNumAuxOutputStems, mNumMeters, mOutputStemFormat, mPluginID, mProductID, mTransportMIDINodeName, and mUseHostGeneratedGUI.

## Member Data Documentation

## ◆ mNeedsGlobalMIDI

bool AAX_SInstrumentSetupInfo::mNeedsGlobalMIDI

Does the instrument use a global MIDI input node?

See also
  MIDI

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mGlobalMIDINodeName

const char* AAX_SInstrumentSetupInfo::mGlobalMIDINodeName

Name of the global MIDI node, if used.

See also
  MIDI

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mGlobalMIDIEventMask

uint32_t AAX_SInstrumentSetupInfo::mGlobalMIDIEventMask

Global MIDI node event mask of AAX_EMidiGlobalNodeSelectors, if used.

See also
  MIDI

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mNeedsInputMIDI

bool AAX_SInstrumentSetupInfo::mNeedsInputMIDI

Does the instrument use a local MIDI input node?

See also
  MIDI

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mInputMIDINodeName

const char* AAX_SInstrumentSetupInfo::mInputMIDINodeName

Name of the MIDI input node, if used.

See also
  MIDI

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mInputMIDIChannelMask

uint32_t AAX_SInstrumentSetupInfo::mInputMIDIChannelMask

MIDI input node channel mask, if used.

See also
  MIDI

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mNumAdditionalInputMIDINodes

int32_t AAX_SInstrumentSetupInfo::mNumAdditionalInputMIDINodes

Number of additional input MIDI Nodes. These will all share the same channelMask and base MIDINodeName, but the names will be appended with numbers 2,3,4,...

See also
  MIDI

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mNeedsTransport

bool AAX_SInstrumentSetupInfo::mNeedsTransport

Does the instrument use the transport interface?

See also
  AAX_ITransport

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mTransportMIDINodeName

const char* AAX_SInstrumentSetupInfo::mTransportMIDINodeName

Name of the MIDI transport node, if used.

See also
  AAX_ITransport

Referenced by AAX_SInstrumentSetupInfo().

## ◆ mNumMeters

int32_t AAX_SInstrumentSetupInfo::mNumMeters

Number of meter taps used by the instrument. Must match the size of mMeterIDs.

See also
  Plug-in meters

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mMeterIDs

const AAX_CTypeID* AAX_SInstrumentSetupInfo::mMeterIDs

Array of meter IDs.

See also
  Plug-in meters

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mNumAuxOutputStems

int32_t AAX_SInstrumentSetupInfo::mNumAuxOutputStems

Number of aux output stems for the plug-in.

See also
  Auxiliary Output Stems

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mAuxOutputStemNames

const char* AAX_SInstrumentSetupInfo::mAuxOutputStemNames[kMaxAuxOutputStems]

Names of the aux output stems.

See also
  Auxiliary Output Stems

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mAuxOutputStemFormats

AAX_EStemFormat AAX_SInstrumentSetupInfo::mAuxOutputStemFormats[kMaxAuxOutputStems]

Stem formats for the output stems.

See also
  Auxiliary Output Stems

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mHybridInputStemFormat

AAX_EStemFormat AAX_SInstrumentSetupInfo::mHybridInputStemFormat

Hybrid input stem format

A plug-in that defines this value must also define `mHybridOutputStemFormat` and implement AAX_IEffectParameters::RenderAudio_Hybrid()

See also
  Hybrid Processing architecture

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mHybridOutputStemFormat

AAX_EStemFormat AAX_SInstrumentSetupInfo::mHybridOutputStemFormat

Hybrid output stem format

A plug-in that defines this value must also define `mHybridInputStemFormat` and implement AAX_IEffectParameters::RenderAudio_Hybrid()

See also
  Hybrid Processing architecture

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mInputStemFormat

AAX_EStemFormat AAX_SInstrumentSetupInfo::mInputStemFormat

Input stem format

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mOutputStemFormat

AAX_EStemFormat AAX_SInstrumentSetupInfo::mOutputStemFormat

Output stem format

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mUseHostGeneratedGUI

bool AAX_SInstrumentSetupInfo::mUseHostGeneratedGUI

Allow Pro Tools or other host to generate a generic GUI. This can be useful for early development.

See also
  AAX_eProperty_UsesClientGUI

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mCanBypass

bool AAX_SInstrumentSetupInfo::mCanBypass

Can this instrument be bypassed?

See also
  AAX_eProperty_CanBypass

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mManufacturerID

AAX_CTypeID AAX_SInstrumentSetupInfo::mManufacturerID

Manufacturer ID

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mProductID

AAX_CTypeID AAX_SInstrumentSetupInfo::mProductID

Product ID

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mPluginID

AAX_CTypeID AAX_SInstrumentSetupInfo::mPluginID

Plug-In (Type) ID

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mAudiosuiteID

AAX_CTypeID AAX_SInstrumentSetupInfo::mAudiosuiteID

AudioSuite ID

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

## ◆ mMultiMonoSupport

AAX_CBoolean AAX_SInstrumentSetupInfo::mMultiMonoSupport

Multi-mono support

Note
  It is recommended to un-set the `mMultiMonoSupport` flag for VIs and other plug-ins which rely on non-global MIDI input. For more information see AAX_eProperty_Constraint_MultiMonoSupport

Referenced by AAX_SInstrumentSetupInfo(), and AAX_CMonolithicParameters::StaticDescribe().

The documentation for this struct was generated from the following file:

- AAX_CMonolithicParameters.h